Subject: bug#61514: 30.0.50; sadistically long xml line hangs emacs

From: Gregory Heytings <[email-masked]>
Date: Wed, 15 Feb 2023 08:39:51 +0000

>
> In =emacs28 -Q=, when I try to load file, I see various errors, but it 
> still load the file and I can edit it.
>

Did you actually try to edit it?  Not just typing "abc" at the beginning 
of the line, but (as is described on the web page you pointed to) moving 
to the end of the line and performing editing operations there.

>
> The point is that whether it is a bug in emacs "in general", in nXML, or 
> in glibc. The point is that there is a regression in how emacs behaves 
> when loading this file with long lines.
>

Nobody is saying that there is no bug here.  I was only pointing out that 
the bug is not "in Emacs", it is in the fontification routines of a 
specific mode.  If you turn fontification off, you will see that Emacs 30 
behaves much better than Emacs 28.